> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/15/internals/system-catalogs/pg_conversion.md).

# 53.14. pg\_conversion

## 53.14. pg\_conversion

The catalog `pg_conversion` describes encoding conversion functions. See [CREATE CONVERSION](/15/reference/sql-commands/create-conversion.md) for more information.

**Table 53.14. `pg_conversion` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                                                                                                                                    |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>oid</code> <code>oid</code></p><p>Row identifier</p>                                                                                                                                                                                                                           |
| <p><code>conname</code> <code>name</code></p><p>Conversion name (unique within a namespace)</p>                                                                                                                                                                                         |
| <p><code>connamespace</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_namespace.md"><code>pg\_namespace</code></a>.<code>oid</code>)</p><p>The OID of the namespace that contains this conversion</p>                                                     |
| <p><code>conowner</code> <code>oid</code> (references <a href="/15/internals/system-catalogs/pg_authid.md"><code>pg\_authid</code></a>.<code>oid</code>)</p><p>Owner of the conversion</p>                                                                                              |
| <p><code>conforencoding</code> <code>int4</code></p><p>Source encoding ID (<a href="/15/the-sql-language/functions-and-operators/system-information-functions.md#PG-ENCODING-TO-CHAR"><code>pg\_encoding\_to\_char()</code></a> can translate this number to the encoding name)</p>     |
| <p><code>contoencoding</code> <code>int4</code></p><p>Destination encoding ID (<a href="/15/the-sql-language/functions-and-operators/system-information-functions.md#PG-ENCODING-TO-CHAR"><code>pg\_encoding\_to\_char()</code></a> can translate this number to the encoding name)</p> |
| <p><code>conproc</code> <code>regproc</code> (references <a href="/15/internals/system-catalogs/pg_proc.md"><code>pg\_proc</code></a>.<code>oid</code>)</p><p>Conversion function</p>                                                                                                   |
| <p><code>condefault</code> <code>bool</code></p><p>True if this is the default conversion</p>                                                                                                                                                                                           |

***

原文：[PostgreSQL 15.19 Documentation](/15/internals/system-catalogs/pg_conversion.md)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/15/internals/system-catalogs/pg_conversion.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
